> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List improvement proposals

> Requires a token with the external-api:read or external-api:write ability. status string One of: pending , needs_decision , published , dismissed , ignored . per_page integer Default: 15 Minimum: 1. Maximum: 100. page integer Default: 1 Minimum: 1. cURL JavaScript Python PHP cURL JavaScript Python…

```http
GET https://api.weav.com/v1/kb-proposals
```

Requires a token with the `external-api:read` or `external-api:write` ability.

## Query parameters

<ParamField query="status" type="string">
One of: `pending`, `needs_decision`, `published`, `dismissed`, `ignored`.
</ParamField>

<ParamField query="per_page" type="integer" default="15">
Minimum: 1.

Maximum: 100.
</ParamField>

<ParamField query="page" type="integer" default="1">
Minimum: 1.
</ParamField>

## Request

<CodeGroup>

```bash cURL
curl --request GET \
  --url 'https://api.weav.com/v1/kb-proposals' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}"
```

```js JavaScript
const response = await fetch("https://api.weav.com/v1/kb-proposals", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`
  }
});
console.log(response.status);
```

```python Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
response = requests.get("https://api.weav.com/v1/kb-proposals", headers=headers)
print(response.status_code)
```

```php PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('GET', 'https://api.weav.com/v1/kb-proposals', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
]);
echo $response->getStatusCode();
```

</CodeGroup>

## Response

- `200` OK
- `401` Unauthorized

---

This knowledge base is built and hosted on [Weav](https://weav.com).
